#!/bin/bash
  
workDir=`dirname $0`
cd $workDir
export DSS_PATH=./
source ../params.conf
  
rm -rf .//part.tbl.1
mkfifo .//part.tbl.1
.//dbgen -s 50 -T P -S 1 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.1 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.2
mkfifo .//part.tbl.2
.//dbgen -s 50 -T P -S 2 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.2 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.3
mkfifo .//part.tbl.3
.//dbgen -s 50 -T P -S 3 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.3 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.4
mkfifo .//part.tbl.4
.//dbgen -s 50 -T P -S 4 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.4 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.5
mkfifo .//part.tbl.5
.//dbgen -s 50 -T P -S 5 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.5 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.6
mkfifo .//part.tbl.6
.//dbgen -s 50 -T P -S 6 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.6 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.7
mkfifo .//part.tbl.7
.//dbgen -s 50 -T P -S 7 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.7 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.8
mkfifo .//part.tbl.8
.//dbgen -s 50 -T P -S 8 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.8 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.9
mkfifo .//part.tbl.9
.//dbgen -s 50 -T P -S 9 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.9 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.10
mkfifo .//part.tbl.10
.//dbgen -s 50 -T P -S 10 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.10 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.11
mkfifo .//part.tbl.11
.//dbgen -s 50 -T P -S 11 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.11 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.12
mkfifo .//part.tbl.12
.//dbgen -s 50 -T P -S 12 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.12 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.13
mkfifo .//part.tbl.13
.//dbgen -s 50 -T P -S 13 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.13 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.14
mkfifo .//part.tbl.14
.//dbgen -s 50 -T P -S 14 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.14 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.15
mkfifo .//part.tbl.15
.//dbgen -s 50 -T P -S 15 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.15 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.16
mkfifo .//part.tbl.16
.//dbgen -s 50 -T P -S 16 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.16 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.17
mkfifo .//part.tbl.17
.//dbgen -s 50 -T P -S 17 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.17 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.18
mkfifo .//part.tbl.18
.//dbgen -s 50 -T P -S 18 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.18 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.19
mkfifo .//part.tbl.19
.//dbgen -s 50 -T P -S 19 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.19 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
rm -rf .//part.tbl.20
mkfifo .//part.tbl.20
.//dbgen -s 50 -T P -S 20 -C 20 -f &
.//uploadAndDelete.sh .//part.tbl.20 /root/xuandi/tpch/tpchRaw/SF50/part 20 &
.//wait4process.sh dbgen $threadsPerWorker 
   
