OUTPUT_DIR='result_fixed_mget'


source ../params.conf

mkdir -p $OUTPUT_DIR

# save start time
date --iso-8601=seconds > ${OUTPUT_DIR}/time.log


for i in 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22
do
echo "$sumTime" >> ${OUTPUT_DIR}/${i}.inittime
startTime_s=`date +%s`
$insertMysql" /*+TDDL:ENABLE_RUNTIME_FILTER=false ENABLE_CONSISTENT_REPLICA_READ=false ENABLE_MASTER_MPP=true PARALLELISM=32*/`cat sql/${i}.sql`" > ${OUTPUT_DIR}/${i}.result
endTime_s=`date +%s`
sumTime=$[ $endTime_s - $startTime_s ]
echo "$sumTime" >> ${OUTPUT_DIR}/${i}.time
done

# save end time
date --iso-8601=seconds >> ${OUTPUT_DIR}/time.log

